import type { AccessDeniedException, ConflictException, InternalServerException, InvalidEndpointException, QueryExecutionException, ResourceNotFoundException, ServiceQuotaExceededException, ThrottlingException, ValidationException } from "@aws-sdk/client-timestream-query";
import type { TaggedException } from "@effect-aws/commons";
export declare const AllServiceErrors: readonly ["AccessDeniedException", "ConflictException", "InternalServerException", "InvalidEndpointException", "QueryExecutionException", "ResourceNotFoundException", "ServiceQuotaExceededException", "ThrottlingException", "ValidationException"];
export type AccessDeniedError = TaggedException<AccessDeniedException>;
export type ConflictError = TaggedException<ConflictException>;
export type InternalServerError = TaggedException<InternalServerException>;
export type InvalidEndpointError = TaggedException<InvalidEndpointException>;
export type QueryExecutionError = TaggedException<QueryExecutionException>;
export type ResourceNotFoundError = TaggedException<ResourceNotFoundException>;
export type ServiceQuotaExceededError = TaggedException<ServiceQuotaExceededException>;
export type ThrottlingError = TaggedException<ThrottlingException>;
export type ValidationError = TaggedException<ValidationException>;
export type SdkError = TaggedException<Error & {
    name: "SdkError";
}>;
//# sourceMappingURL=Errors.d.ts.map