"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toTimestreamQueryClientConfig = exports.setTimestreamQueryServiceConfig = exports.withTimestreamQueryServiceConfig = void 0;
const commons_1 = require("@effect-aws/commons");
const effect_1 = require("effect");
const Function_1 = require("effect/Function");
const GlobalValue_1 = require("effect/GlobalValue");
/**
 * @since 1.0.0
 * @category timestream-query service config
 */
const currentTimestreamQueryServiceConfig = (0, GlobalValue_1.globalValue)("@effect-aws/client-timestream-query/currentTimestreamQueryServiceConfig", () => effect_1.FiberRef.unsafeMake({}));
/**
 * @since 1.0.0
 * @category timestream-query service config
 */
exports.withTimestreamQueryServiceConfig = (0, Function_1.dual)(2, (effect, config) => effect_1.Effect.locally(effect, currentTimestreamQueryServiceConfig, config));
/**
 * @since 1.0.0
 * @category timestream-query service config
 */
const setTimestreamQueryServiceConfig = (config) => effect_1.Layer.locallyScoped(currentTimestreamQueryServiceConfig, config);
exports.setTimestreamQueryServiceConfig = setTimestreamQueryServiceConfig;
/**
 * @since 1.0.0
 * @category adapters
 */
exports.toTimestreamQueryClientConfig = effect_1.Effect.gen(function* () {
    const { logger: serviceLogger, ...config } = yield* effect_1.FiberRef.get(currentTimestreamQueryServiceConfig);
    const logger = serviceLogger === true
        ? yield* commons_1.ServiceLogger.toClientLogger(commons_1.ServiceLogger.defaultServiceLogger)
        : (serviceLogger ? yield* commons_1.ServiceLogger.toClientLogger(commons_1.ServiceLogger.make(serviceLogger)) : undefined);
    return { logger, ...config };
});
//# sourceMappingURL=TimestreamQueryServiceConfig.js.map