/**
 * @since 1.0.0
 */
import type { TimestreamQueryClientConfig } from "@aws-sdk/client-timestream-query";
import { Effect, Layer } from "effect";
import type { TimestreamQueryService } from "./TimestreamQueryService.js";
/**
 * @since 1.0.0
 * @category timestream-query service config
 */
export declare const withTimestreamQueryServiceConfig: {
    (config: TimestreamQueryService.Config): <A, E, R>(effect: Effect.Effect<A, E, R>) => Effect.Effect<A, E, R>;
    <A, E, R>(effect: Effect.Effect<A, E, R>, config: TimestreamQueryService.Config): Effect.Effect<A, E, R>;
};
/**
 * @since 1.0.0
 * @category timestream-query service config
 */
export declare const setTimestreamQueryServiceConfig: (config: TimestreamQueryService.Config) => Layer.Layer<never, never, never>;
/**
 * @since 1.0.0
 * @category adapters
 */
export declare const toTimestreamQueryClientConfig: Effect.Effect<TimestreamQueryClientConfig>;
//# sourceMappingURL=TimestreamQueryServiceConfig.d.ts.map